## deepin-music 6.1.4

=== CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.0)

project(music)

#cmake属性
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

option(USE_DXCB "integration with dxcb platform plugin" OFF)
option(DMR_DEBUG "turn on debug output" off)
option(DTK_DMAN_PORTAL "turn on dman portal support" off)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

#平板标志
#add_definitions(-DTABLET_PC)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(DMR_DEBUG on)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
#Multimediawidgets是否已使用？
set(QtModule Core Gui Widgets Multimedia Xml Sql DBus)
#configure_file
#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

add_subdirectory(src)

=== tests/CMakeLists.txt ===
#定义需要的cmake版本
cmake_minimum_required(VERSION 3.0)

project(music-test)

#cmake属性
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(ISTEST "1")#单元测试标志

# 添加gocv覆盖率文件的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")

#set(GCC_COVERAGE_COMPILE_FLAGS "-fprofile-arcs -ftest-coverage")
#set(GCC_COVERAGE_LINK_FLAGS "-lgcov")

if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
    add_definitions(-DSYSTEM_MIPS)
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -lgcov")
#    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GCC_COVERAGE_COMPILE_FLAGS}")
#set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${GCC_COVERAGE_LINK_FLAGS}")

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

option(USE_DXCB "integration with dxcb platform plugin" OFF)
option(DMR_DEBUG "turn on debug output" off)
option(DTK_DMAN_PORTAL "turn on dman portal support" off)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)


if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(DMR_DEBUG on)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

#不需要包含googletest头文件
#include_directories(googletest)
#include_directories(googletest/googlemock/include)
#include_directories(googletest/googletest/include)

aux_source_directory(./ mainSource)#单元测试相关代码

find_package(PkgConfig REQUIRED)
include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

if(ISTEST MATCHES "1")
    set(QtModule Core Gui Widgets Svg Multimedia Xml Network Sql DBus Test)
else()
    set(QtModule Core Gui Widgets Svg Multimedia Xml Network Sql DBus)
endif()

if(ISTEST MATCHES "1")
    set(CMD_NAME deepin-music-test)
else()
    set(CMD_NAME deepin-music)
endif()

#添加覆盖率命令
if(ISTEST MATCHES "1")
    add_test(${CMD_NAME} COMMAND ${CMD_NAME})

    add_custom_target(test
        COMMAND mkdir -p coverageResult
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    message(${CMAKE_BINARY_DIR})

    add_custom_command(TARGET test
        COMMAND echo "=================== CREAT LCOV REPROT BEGIN ===================="
    #1.清理原先的gcov信息
    COMMAND lcov --directory ./CMakeFiles/${CMD_NAME}.dir --zerocounters
#    COMMAND lcov --directory ./CMakeFiles/${CMD_NAME}.dir --zerocounters
    COMMAND ./build/music-player/${CMD_NAME}

    #2.收集gcov信息到.info文件中
    COMMAND lcov --directory . --capture --output-file ./coverageResult/${CMD_NAME}_Coverage.info

    #3.过滤一些我们不感兴趣的文件的覆盖率信息
    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./coverageResult/${CMD_NAME}_Coverage.info
    '*/${CMD_NAME}_autogen/*' '*/${CMD_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*'
    -o ./coverageResult/${CMD_NAME}_Coverage.info
    COMMAND echo " =================== do filter end ==================== "

    #3.将.info信息生成报告到reprot文件夹中
    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${CMD_NAME}_Coverage.info

    COMMAND echo " =================== CREAT LCOV REPROT END ==================== "

    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "

#    COMMAND nohup x-www-browser ${CMAKE_BINARY_DIR}/coverageResult/report/index.html &

    WORKING_DIRECTORY ${CMAKE_BINARY_DIR} )

    add_dependencies(test ${CMD_NAME})
endif()

#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

add_subdirectory(../src build)

=== src/music-player/CMakeLists.txt ===
#定义需要的cmake版本
#cmake_minimum_required(VERSION 3.10)

if(ISTEST MATCHES "1")
    set(CMD_NAME deepin-music-test)
    add_definitions(-DENABLE_AUTO_UNIT_TEST)
else()
    set(CMD_NAME deepin-music)
endif()

#可执行文件路径
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/music/dist/bin)

#cmake属性
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

ADD_DEFINITIONS(-DENABLE_ACCESSIBILITY=0)

#include_directories(/usr/include/libdtk-5.2.0/DWidget)
#include_directories(/usr/include/libdtk-5.2.0/DCore)
include_directories(/usr/include/vlc)
include_directories(/usr/include/vlc/plugins)
include_directories(./../interface)
include_directories(./../libdmusic)
include_directories(./core)
include_directories(./core/util)
include_directories(./presenter)
include_directories(./speech)
include_directories(./tablet)
include_directories(./view)
include_directories(./mainFrame)
include_directories(./widget)
include_directories(./widget/lrc)
include_directories(./listView)
include_directories(./listView/musicBaseAndSongList)
include_directories(./listView/musicInfoList)
include_directories(./listView/musicSearchList)
include_directories(./listView/albumList)
include_directories(./listView/singerList)
include_directories(./listView/lyricLineList)

include_directories(/usr/include/udisks2-qt5)

if(ISTEST MATCHES "1")
    message("tests start！")
    file(GLOB mainSource
        ./musicapp.cpp
        ../../tests/*.cpp
        ../../tests/speech/*.cpp
        ../../tests/presenter/*.cpp)
else()
    aux_source_directory(./ allSource)
endif()

aux_source_directory(./core allSource)
aux_source_directory(./core/util allSource)
aux_source_directory(./core/plugin allSource)
aux_source_directory(./core/vlc allSource)
aux_source_directory(./presenter allSource)
aux_source_directory(./speech allSource)
aux_source_directory(./tablet allSource)
aux_source_directory(./mainFrame allSource)
aux_source_directory(./listView allSource)
aux_source_directory(./widget allSource)
aux_source_directory(./widget/helper allSource)
aux_source_directory(./widget/lrc allSource)
aux_source_directory(./view allSource)
aux_source_directory(./listView allSource)
aux_source_directory(./listView/musicBaseAndSongList allSource)
aux_source_directory(./listView/musicInfoList allSource)
aux_source_directory(./listView/albumList allSource)
aux_source_directory(./listView/singerList allSource)
aux_source_directory(./view/widget allSource)
aux_source_directory(./view/widget/delegate allSource)
aux_source_directory(./view/widget/model allSource)
aux_source_directory(./listView/musicSearchList allSource)
aux_source_directory(./listView/lyricLineList allSource)

find_package(PkgConfig REQUIRED)

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkgui)
pkg_check_modules(MPRIS REQUIRED IMPORTED_TARGET mpris-qt5)
pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
pkg_check_modules(VLC REQUIRED IMPORTED_TARGET vlc-plugin)
pkg_check_modules(qgsettings REQUIRED IMPORTED_TARGET gsettings-qt)

#pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavutil libavcodec
#    libavformat libcue taglib)

pkg_check_modules(AV REQUIRED IMPORTED_TARGET libcue taglib)

pkg_check_modules(udisks2 REQUIRED IMPORTED_TARGET udisks2-qt5)


set(AllQRC
#    ./resource/resource.qrc
#    ./resource/theme/theme.qrc
    ./icons/icons.qrc
    ./config.qrc
    )

qt5_add_resources(QRC_FILES ${AllQRC})

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

#set(TS
#    translations/${CMD_NAME}.ts
#    translations/${CMD_NAME}_zh_CN.ts
#    translations/${CMD_NAME}_en_US.ts
#    )

#set_source_files_properties(${qmfiles} PROPERTIES OUTPUT_LOCATION "translations")

file(GLOB TS LIST_DIRECTORIES false ../../translations/${CMD_NAME}*.ts)
set_source_files_properties(${TS}
    PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
set(translate ${PROJECT_SOURCE_DIR}/translations)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(Translate1 ${allSource} ${TS} OPTIONS -source-language en_US -no-obsolete)
endif ()
qt5_add_translation(${translate})

#file(GLOB INCLUDE_HEADER "./../interface/*.h")

add_executable(${CMD_NAME} ${QRC_FILES} ${allSource} ${INCLUDE_HEADER} ${Translate1} ${mainSource})

#添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${CMD_NAME} PUBLIC  ${PROJECT_INCLUDE} )

#将工程与这些模块链接起来
qt5_use_modules(${CMD_NAME} ${QtModule})

set(TARGET_LIBS Qt5::Widgets Qt5::Core Qt5::Gui Qt5::DBus Qt5::Sql Qt5::Svg Qt5::Xml
     PkgConfig::AV PkgConfig::Dtk PkgConfig::qgsettings PkgConfig::udisks2 icui18n
    PkgConfig::MPRIS PkgConfig::DBusextended pthread dmusic )
LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/src/libdmusic/)


#将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${CMD_NAME} ${TARGET_LIBS} )

if(ISTEST MATCHES "1")
    set(GTEST_LIBS gmock  gtest)
    target_link_libraries(${CMD_NAME} ${GTEST_LIBS})
endif()

# ------------------------------- install script -------------------------------
install(TARGETS ${CMD_NAME} DESTINATION bin)
# install Translation files:
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION share/${CMD_NAME}
    FILES_MATCHING PATTERN "*.qm")
#install(FILES ${Translate1} DESTINATION share/${CMD_NAME})
# install Desktop icon
install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/data/deepin-music.desktop
    DESTINATION share/applications)
# install Manual App icon
install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/icons/icons/deepin-music.svg
    DESTINATION share/icons/hicolor/scalable/apps)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION /usr/share/deepin-manual/manual-assets/application/)

## deepin-music 3.1.8.3+ds

=== debian/changelog ===
deepin-music (3.1.8.3+ds-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jul 2018 12:34:12 +0200

deepin-music (3.1.8.3+ds-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.

  [ Boyuan Yang ]
  * d/rules: Use "dh_missing --fail-missing".

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 22 May 2018 12:18:05 +0800

deepin-music (3.1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4. (no changes needed)

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 17 Apr 2018 09:11:09 +0800

deepin-music (3.1.8+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #894661)

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 05 Apr 2018 10:21:16 +0800

=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 git,
 python,
 pkg-config,
 qttools5-dev-tools,
 libqt5svg5-dev,
 qtmultimedia5-dev,
 libtag1-dev,
 libicu-dev,
 libcue-dev,
 libavutil-dev,
 libavformat-dev,
 libavcodec-dev,
 libdtkwidget-dev,
 libdbusextended-qt5-dev,
 libmpris-qt5-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 libqt5sql5-sqlite,
 libqt5multimedia5-plugins,
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin,quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-music 3.1.11+ds

=== debian/changelog ===
deepin-music (3.1.11+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.1.11.
  * debian/patches: Refresh all patches.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using old
      debian/compat file.
    + R³: Use Rules-Requires-Root: no.
    + tighten up versioned build-dependency libdtkwidget-dev (>= 2.0.9.10~)
      to fix FTBFS. (Closes: #913502)
    + Bump Standards-Version to 4.2.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Dec 2018 14:10:00 -0500

## deepin-music 3.1.14+ds

=== debian/changelog ===
deepin-music (3.1.14+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.1.14.
  * debian/control:
    + Bump debhelper-compat to v12.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Jan 2019 10:21:26 -0500

=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 git,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcue-dev,
 libdbusextended-qt5-dev,
 libdtkwidget-dev (>= 2.0.9.10~),
 libicu-dev,
 libmpris-qt5-dev,
 libqt5svg5-dev,
 libtag1-dev,
 pkg-config,
 python,
 qtmultimedia5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 libqt5multimedia5-plugins,
 libqt5sql5-sqlite,
 ${misc:Depends},
 ${shlibs:Depends},
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin,quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-music 5.0.1+ds

=== debian/changelog ===
deepin-music (5.0.1+ds-2) unstable; urgency=high

  * Team upload.
  * debian/control: Drop unused build-dependency python.
    (Closes: #936380, #942951)
  * Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 16:11:14 -0500

deepin-music (5.0.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.1. 
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 14:43:17 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  git,
  libavcodec-dev,
  libavformat-dev,
@@ -18,11 +18,10 @@
  libqt5svg5-dev,
  libtag1-dev,
  pkg-config,
- python,
  qtmultimedia5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/deepin-music
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"

override_dh_auto_clean:
	dh_auto_clean
	rm -vf music-player/translations/*.qm

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-music-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-music/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-music 6.0.1.54%2Bds.1

=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcue-dev,
 libdbusextended-qt5-dev,
 libdtkgui-dev,
 libdtkwidget-dev (>= 5.2~),
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libqt5svg5-dev,
 libtag1-dev,
 libvlc-dev,
 libvlccore-dev,
 pkg-config,
 python3,
 qtmultimedia5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 libglib2.0-bin,
 libqt5multimedia5-plugins,
 libqt5sql5-sqlite,
 vlc-plugin-base,
 ${misc:Depends},
 ${shlibs:Depends},
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin, quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-music 6.0.1.54+ds.1

=== debian/changelog ===
deepin-music (6.0.1.54+ds.1-2) unstable; urgency=medium

  * debian/control:
    + Drop gstreamer1.0-fluendo-mp3 from binary package dependency.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 24 Dec 2020 00:11:02 +0545

deepin-music (6.0.1.54+ds.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

  [ Arun Kumar Pariyar ]
  * New upstream release 6.0.1.54+ds.1.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.
    + Update build dependencies and set libdtkwidget-dev to (>= 5.2~).
    + Replace gvfs-bin with libglib2.0-bin.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/patches:
    + Update 0001-Use-system-library.patch.
    + Add patch to fix build with Qt5.15+ (Closes: #975140).
    + Add patch to switch from gvfs-trash to gio (Closes: #969771).
  * debian/copyright: Update license information.
  * debian/rules:
    + Removed -Wl,--as-needed from DEB_LDFLAGS_MAINT_APPEND.
    + Updated cleanup path for translations in override_dh_auto_clean.
  * debian/lintian-overrides: Tag rename on-dev-pkg-with-shlib-symlink
    to link-to-shared-library-in-wrong-package for deepin-music binary.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sat, 05 Dec 2020 01:37:32 +0545

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

override_dh_auto_clean:
	dh_auto_clean
	rm -vf src/music-player/translations/*.qm

override_dh_missing:
	dh_missing --fail-missing

## deepin-music 6.1.4

=== debian/changelog ===
deepin-music (6.1.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 27 Apr 2021 16:29:53 +0800

deepin-music (2.99.0-1) stable; urgency=low

  * Pre-release for deepin music 3.0

 -- TagBuilder <tagbuilder@deepin.com>  Mon, 23 May 2016 14:20:26 +0000

deepin-music (2.3.2-1) stable; urgency=low

  * Autobuild Tag 2.3.2

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 14:20:26 +0000

deepin-music (2.90.0-1) stable; urgency=low

  * Autobuild Tag 2.90.0

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 14:51:38 +0000

deepin-music (2.3.0-1) stable; urgency=low

  * Autobuild Tag 2.3.0

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 03 Jul 2015 10:03:54 +0000

deepin-music (0.0.0) unstable; urgency=medium

  * Unstable release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Mon, 22 Dec 2014 14:10:51 +0800

=== debian/control ===
Source: deepin-music
Section: sound
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 cmake,
 debhelper (>= 11),
 libavutil-dev,
 libavcodec-dev,
 libavformat-dev,
 libcue-dev,
 libdtkcore5-bin,
 libdtkgui-dev,
 libdtkwidget-dev,
 libdbusextended-qt5-dev,
 libgsettings-qt-dev,
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libtag1-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libqt5sql5-sqlite,
 libxtst-dev,
 libvlc-dev,
 libvlccore-dev,
 pkg-config,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libdframeworkdbus-dev,
 libgmock-dev,
 libudisks2-qt5-dev 
Standards-Version: 4.5.1
Homepage: http://www.deepin.org/


Package: deepin-music
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-fluendo-mp3,
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 gvfs-bin,
 libqt5sql5-sqlite,
 libqt5multimedia5-plugins,
 vlc-plugin-base
Description: Music software for UOS
 Music is a local music player with beautiful design and simple functions.

## deepin-music 6.2.8

=== debian/changelog ===
deepin-music (6.2.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 20 Jan 2022 10:33:21 +0800

## deepin-music 6.2.15

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
     set(CMD_NAME deepin-music)
 endif()
 
+add_definitions(-DAUTO_UNIT_TEST)
+
 #添加覆盖率命令
 if(ISTEST MATCHES "1")
     add_test(${CMD_NAME} COMMAND ${CMD_NAME})

=== src/libdmusic/CMakeLists.txt ===
#工程名
#project(dmusic)
set(CMD_NAME dmusic)
cmake_minimum_required(VERSION 3.10)

#文件路径
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/../dist/lib)

#文件夹包含
include_directories(.)
#include_directories(net)
include_directories(util)

aux_source_directory(. allSourcelib)
#aux_source_directory(net allSourcelib)
aux_source_directory(util allSourcelib)

add_library(${CMD_NAME} STATIC ${allSourcelib})
set_target_properties(dmusic PROPERTIES VERSION 1.0.0 SOVERSION 1.0)

#使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)

#检查第三方库(这里检查了名字为dtkwidget的库和名字为dtkgui的库)，然后取名3rd_lib
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui dtkcore
        )
#添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${CMD_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})

#将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${CMD_NAME} icui18n)
target_link_libraries(${CMD_NAME} ${3rd_lib_LIBRARIES})

qt5_use_modules(${CMD_NAME} ${QtModule})

#单独查找KCodecs包
find_package(KF5Codecs)
target_link_libraries(${CMD_NAME} KF5::Codecs)
install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 if(ISTEST MATCHES "1")
     set(CMD_NAME deepin-music-test)
-    add_definitions(-DENABLE_AUTO_UNIT_TEST)
 else()
     set(CMD_NAME deepin-music)
 endif()
@@ -93,7 +92,7 @@
 #pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavutil libavcodec
 #    libavformat libcue taglib)
 
-pkg_check_modules(AV REQUIRED IMPORTED_TARGET libcue taglib)
+pkg_check_modules(AV REQUIRED IMPORTED_TARGET taglib)
 
 pkg_check_modules(udisks2 REQUIRED IMPORTED_TARGET udisks2-qt5)

=== debian/changelog ===
deepin-music (6.2.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:30:49 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  libavutil-dev,
  libavcodec-dev,
  libavformat-dev,
- libcue-dev,
  libdtkcore5-bin,
  libdtkgui-dev,
  libdtkwidget-dev,
@@ -29,7 +28,6 @@
  qttools5-dev,
  qttools5-dev-tools,
  libdframeworkdbus-dev,
- libgmock-dev,
  libudisks2-qt5-dev 
 Standards-Version: 4.5.1
 Homepage: http://www.deepin.org/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib DH_AUTO_ARGS = --parallel --buildsystem=cmake

## deepin-music 6.2.18

=== src/CMakeLists.txt ===
#project(deepin-music)
#set(CMD_NAME deepin-music)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5Core)
find_package(Qt5Gui)
find_package(Qt5Widgets)
find_package(Qt5Svg)
#find_package(Qt5Multimedia)
find_package(Qt5Xml)
find_package(Qt5Sql)
find_package(Qt5DBus)
find_package(Qt5LinguistTools)
#find_package(Qt5X11Extras)

include(GNUInstallDirs)

add_subdirectory(libdmusic)
add_subdirectory(music-player)
add_subdirectory(libmusic-plugin)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,8 @@
 
 add_definitions(-DAUTO_UNIT_TEST)
 
+configure_file(../config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
+
 #添加覆盖率命令
 if(ISTEST MATCHES "1")
     add_test(${CMD_NAME} COMMAND ${CMD_NAME})

=== src/libmusic-plugin/CMakeLists.txt ===
#工程名
set(CMD_NAME music-plugin)
set(CMAKE_INSTALL_VOICE_LIBDIR /usr/lib/deepin-aiassistant/serivce-plugins)
cmake_minimum_required(VERSION 3.10)

#文件夹包含
include_directories(.)
include_directories(./interface)

aux_source_directory(. allSourcelib)

file(GLOB_RECURSE QRC_SOURCE_FILES ./*.qrc)
set(QRC_FILES config.qrc)
qt5_add_resources(QRC_FILES ${QRC_SOURCE_FILES})

add_library(${CMD_NAME} SHARED ${allSourcelib} ${QRC_FILES} interface/service.h)

#使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)
pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
#添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${CMD_NAME} PUBLIC ${Dtk_INCLUDE_DIRS})

#检查第三方库(这里检查了名字为dtkwidget的库和名字为dtkgui的库)，然后取名3rd_lib
pkg_check_modules(3rd_lib REQUIRED  dframeworkdbus dtkcore)
#将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${CMD_NAME} ${3rd_lib_LIBRARIES})

qt5_use_modules(${CMD_NAME} ${QtModule})

install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_VOICE_LIBDIR})

=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -145,6 +145,7 @@
 
 #将第三方库链接进来(注意 *_LIBRARIES)
 target_link_libraries(${CMD_NAME} ${TARGET_LIBS} )
+#target_link_libraries(${CMD_NAME} ${TARGET_LIBS} deepin-event-log)
 
 if(ISTEST MATCHES "1")
     set(GTEST_LIBS gmock  gtest)

=== debian/changelog ===
deepin-music (6.2.18-2) unstable; urgency=medium

  * Fix ftbfs with ffmpeg 7 (Closes: #1078278).
  * Add debian/clean for generated qm files (Closes: #1044549).
  * Fix ts file changes in double build.
  * Change Build-Depends pkg-config to pkgconf.

 -- Arun Kumar Pariyar <arun@debian.org>  Mon, 16 Sep 2024 01:26:01 +0545

deepin-music (6.2.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Aug 2022 12:58:27 -0400

deepin-music (6.2.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 15:23:36 -0400

deepin-music (6.2.16-1) unstable; urgency=medium

  * Team upload.
  * Rebuild for ffmpeg 5.0 transition. (Closes: #1004808)
  * debian/patches: Drop all previous outdated patches.
  * debian/control:
    + Drop transitional gstreamer package dependencies.
    + Bump debhelper-compat to v13.
    + Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 16:51:47 -0400

=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcue-dev,
 libdbusextended-qt5-dev,
 libdframeworkdbus-dev,
 libdtkgui-dev,
 libdtkwidget-dev (>= 5.2~),
 libgsettings-qt-dev,
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libqt5svg5-dev,
 libtag1-dev,
 libudisks2-qt5-dev,
 libvlc-dev,
 libvlccore-dev,
 pkgconf,
 python3,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 libglib2.0-bin,
 libqt5multimedia5-plugins,
 libqt5sql5-sqlite,
 vlc-plugin-base,
 ${misc:Depends},
 ${shlibs:Depends},
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin, quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-music 6.2.20

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #project(deepin-music)
 #set(CMD_NAME deepin-music)

=== src/libmusic-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #工程名
 set(CMD_NAME music-plugin)
 set(CMAKE_INSTALL_VOICE_LIBDIR /usr/lib/deepin-aiassistant/serivce-plugins)

=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #定义需要的cmake版本
 #cmake_minimum_required(VERSION 3.10)

=== debian/changelog ===
deepin-music (6.2.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:44:17 +0800

deepin-music (6.0.1) stable; urgency=low

  * New version 6.0.1

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:13:26 +0000

=== debian/control ===
Source: deepin-music
Section: sound
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 cmake,
 debhelper (>= 11),
 libavutil-dev,
 libavcodec-dev,
 libavformat-dev,
 libdtkcore5-bin,
 libdtkgui-dev,
 libdtkwidget-dev,
 libdbusextended-qt5-dev,
 libgsettings-qt-dev,
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libtag1-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libqt5sql5-sqlite,
 libxtst-dev,
 libvlc-dev,
 libvlccore-dev,
 pkg-config,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libdframeworkdbus-dev,
 libudisks2-qt5-dev 
Standards-Version: 4.5.1
Homepage: http://www.deepin.org/


Package: deepin-music
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gvfs-bin,
 libqt5sql5-sqlite,
 libqt5multimedia5-plugins,
 vlc-plugin-base
Recommends: gstreamer1.0-pulseaudio, uos-reporter, deepin-event-log
Description: Music software for UOS
 Music is a local music player with beautiful design and simple functions.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=5
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib

## deepin-music 6.2.35

=== src/music-player/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,26 @@
 
 ADD_DEFINITIONS(-DENABLE_ACCESSIBILITY=0)
 
+#message("---- current cpu arch: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
+#if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "x86_64")
+#    include_directories(/usr/lib/x86_64-linux-gnu/glib-2.0/include)
+#elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "aarch64")
+#    include_directories(/usr/lib/aarch64-linux-gnu/glib-2.0/include)
+#else()
+#    include_directories(/usr/lib/mips64el-linux-gnu/glib-2.0/include)
+#endif()
+
+pkg_check_modules(glib REQUIRED glib-2.0)
+include_directories(${glib_INCLUDEDIR}/glib-2.0)
+include_directories(${glib_INCLUDEDIR}/glib-2.0/glib)
+
 #include_directories(/usr/include/libdtk-5.2.0/DWidget)
 #include_directories(/usr/include/libdtk-5.2.0/DCore)
 include_directories(/usr/include/vlc)
 include_directories(/usr/include/vlc/plugins)
 include_directories(./../interface)
 include_directories(./../libdmusic)
+include_directories(./ai)
 include_directories(./core)
 include_directories(./core/util)
 include_directories(./presenter)
@@ -59,6 +73,7 @@
     aux_source_directory(./ allSource)
 endif()
 
+aux_source_directory(./ai allSource)
 aux_source_directory(./core allSource)
 aux_source_directory(./core/util allSource)
 aux_source_directory(./core/plugin allSource)
@@ -84,6 +99,7 @@
 aux_source_directory(./listView/lyricLineList allSource)
 
 find_package(PkgConfig REQUIRED)
+find_package(DtkWidget REQUIRED)
 
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
@@ -92,6 +108,7 @@
 pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
 pkg_check_modules(VLC REQUIRED IMPORTED_TARGET vlc-plugin)
 pkg_check_modules(qgsettings REQUIRED IMPORTED_TARGET gsettings-qt)
+pkg_check_modules(glib REQUIRED IMPORTED_TARGET glib-2.0)
 
 #pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavutil libavcodec
 #    libavformat libcue taglib)
@@ -143,7 +160,7 @@
 
 set(TARGET_LIBS Qt5::Widgets Qt5::Core Qt5::Gui Qt5::DBus Qt5::Sql Qt5::Svg Qt5::Xml
      PkgConfig::AV PkgConfig::Dtk PkgConfig::qgsettings PkgConfig::udisks2 icui18n
-    PkgConfig::MPRIS PkgConfig::DBusextended pthread dmusic )
+    PkgConfig::MPRIS PkgConfig::DBusextended pthread dmusic pulse PkgConfig::glib pulse-mainloop-glib)
 LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/src/libdmusic/)
 
 
@@ -152,21 +169,31 @@
 #target_link_libraries(${CMD_NAME} ${TARGET_LIBS} deepin-event-log)
 
 if(ISTEST MATCHES "1")
-    set(GTEST_LIBS gmock  gtest)
+    set(GTEST_LIBS gmock gtest)
     target_link_libraries(${CMD_NAME} ${GTEST_LIBS})
 endif()
 
 # ------------------------------- install script -------------------------------
-install(TARGETS ${CMD_NAME} DESTINATION bin)
+install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 # install Translation files:
 install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
-    DESTINATION share/${CMD_NAME}
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/${CMD_NAME}
     FILES_MATCHING PATTERN "*.qm")
 #install(FILES ${Translate1} DESTINATION share/${CMD_NAME})
 # install Desktop icon
 install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/data/deepin-music.desktop
-    DESTINATION share/applications)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 # install Manual App icon
 install(FILES ${PROJECT_SOURCE_DIR}/src/music-player/icons/icons/deepin-music.svg
-    DESTINATION share/icons/hicolor/scalable/apps)
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-music DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
+
+install(FILES ${PROJECT_SOURCE_DIR}/assets/deepin-music.json DESTINATION /usr/lib/uos-ai-assistant/functions)
+
+#hw机型增加DConfig配置
+set(APPID org.deepin.music)
+set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.music.json)
+if (DEFINED DSG_DATA_DIR)
+    message("-- DConfig is supported by DTK")
+    dconfig_meta_files(APPID ${APPID} FILES ${configFile})
+endif()

=== debian/changelog ===
deepin-music (6.2.35-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 14 Dec 2023 20:00:56 +0800

deepin-music (6.2.35) unstable; urgency=medium

  * Adapt to UOS AI voice control

 -- fengli <fengli@uniontech.com>  Thu, 14 Dec 2023 13:41:29 +0800

deepin-music (6.2.34) unstable; urgency=medium

  * fix compilation failed on 104x

 -- fengli <fengli@uniontech.com>  Wed, 25 Oct 2023 15:11:37 +0800

deepin-music (6.2.33) unstable; urgency=medium

  * Adapt to compact mode

 -- fengli <fengli@uniontech.com>  Mon, 16 Oct 2023 14:56:39 +0800

deepin-music (6.2.32) unstable; urgency=medium

  * fix playback failure issue after hibernation wake-up

 -- fengli <fengli@uniontech.com>  Mon, 16 Oct 2023 14:13:09 +0800

deepin-music (6.2.31) unstable; urgency=medium

  * fix crash when connecting to pulseaudio failed

 -- fengli <fengli@uniontech.com>  Tue, 15 Aug 2023 16:58:04 +0800

deepin-music (6.2.30) unstable; urgency=medium

  * New version 6.2.30

 -- fengli <fengli@uniontech.com>  Wed, 19 Jul 2023 11:01:08 +0800

deepin-music (6.2.29) unstable; urgency=medium

  * New version 6.2.29 

 -- fengli <fengli@uniontech.com>  Wed, 12 Jul 2023 14:47:05 +0800

deepin-music (6.2.28) unstable; urgency=medium

  * New version 6.2.28

 -- fengli <fengli@uniontech.com>  Wed, 07 Jun 2023 09:49:58 +0800

deepin-music (6.2.27) unstable; urgency=medium

  * New version 6.2.27

 -- fengli <fengli@uniontech.com>  Mon, 08 May 2023 16:38:33 +0800

deepin-music (6.2.26) unstable; urgency=medium

  * New version 6.2.26

 -- fengli <fengli@uniontech.com>  Thu, 13 Apr 2023 11:32:22 +0800

deepin-music (6.2.25) unstable; urgency=medium

  * New version 6.2.25

 -- fengli <fengli@uniontech.com>  Wed, 15 Mar 2023 13:34:24 +0800

deepin-music (6.2.24) unstable; urgency=medium

  * New version 6.2.24

 -- fengli <fengli@uniontech.com>  Fri, 6 Jan 2023 11:19:26 +0000

## deepin-music 6.2.40

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
+set(CMAKE_C_FLAGS "-fPIC")
+set(CMAKE_CXX_FLAGS "-fPIC")
 
 option(USE_DXCB "integration with dxcb platform plugin" OFF)
 option(DMR_DEBUG "turn on debug output" off)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,9 @@
 #find_package(Qt5X11Extras)
 
 include(GNUInstallDirs)
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
 
 add_subdirectory(libdmusic)
 add_subdirectory(music-player)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #定义需要的cmake版本
 cmake_minimum_required(VERSION 3.0)

=== src/libdmusic/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 #工程名
 #project(dmusic)
 set(CMD_NAME dmusic)

=== src/libmusic-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 #工程名
 set(CMD_NAME music-plugin)
-set(CMAKE_INSTALL_VOICE_LIBDIR /usr/lib/deepin-aiassistant/serivce-plugins)
 cmake_minimum_required(VERSION 3.10)
+
+if(NOT DEFINED CMAKE_INSTALL_VOICE_LIBDIR)
+    set(CMAKE_INSTALL_VOICE_LIBDIR ${CMAKE_INSTALL_LIBDIR}/deepin-aiassistant/serivce-plugins)
+endif()
 
 #文件夹包含
 include_directories(.)

=== debian/changelog ===
deepin-music (6.2.40-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0004-Bump-from-C-11-14-to-C-17.patch: Really enforce
    C++17 build. (Closes: #1092315)
  * debian/patches/0005-Support-taglib-2.x.patch: Support taglib 2.x.
    (Closes: #1092681)
  * debian/control: Use taglib 2.x build-dependency package libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 20:52:02 -0500

deepin-music (6.2.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0004-CMakeLists.txt-Force-c-17-not-c-11.patch:
    Add patch to force C++17 build. (Closes: #1092315)
  * debian/copyright: Minor update.
  * debian/control: Add build-dep libsdl2-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 21:04:36 -0500

=== debian/control ===
Source: deepin-music
Section: sound
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcue-dev,
 libdbusextended-qt5-dev,
 libdframeworkdbus-dev,
 libdtkgui-dev,
 libdtkwidget-dev (>= 5.6~),
 libgsettings-qt-dev,
 libicu-dev,
 libkf5codecs-dev,
 libmpris-qt5-dev,
 libqt5svg5-dev,
 libsdl2-dev,
 libtag-dev,
 libudisks2-qt5-dev,
 libvlc-dev,
 libvlccore-dev,
 pkgconf,
 python3,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-music
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-music.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-music

Package: deepin-music
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 libglib2.0-bin,
 libqt5multimedia5-plugins,
 libqt5sql5-sqlite,
 vlc-plugin-base,
 ${misc:Depends},
 ${shlibs:Depends},
Description: music player with brilliant and tweakful UI
 Deepin-UI based, GStreamer front-end, with features likes search music
 by pinyin, quanpin, colorful lyrics supports, and more powerful
 functions you will found.
 .
 This package is part of DDE (Deepin Desktop Environment).
